Subject: Re: git bug/feature request

From: Jakub Narebski <[email-masked]>
Date: Tue, 27 Nov 2007 14:38:57 +0100

Jakub Narebski wrote:

> git-clone sets up repo B (the clone) for one direction of transfer,
> from repo A (cloned repo) to repo B (the clone). If you want to push
> to repo A, you should configure repo B to do so.
> 
> See also comments below.

What I forgot to add that git encourages "with integrator" workflows:
either send requests to pull to project maintainer, or send patches
(which allow peer review of them) to maintainer, perhaps via public
project mailing list.

You can do "centralized repository" or "peer to peer" aka "star
topology" workflows, but it is not optimized for those workflows;
you have to work a bit harder.

-- 
Jakub Narebski
Poland